using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class.Managers;

namespace PhoenixDLL.GUI.Managers
{
    /// <summary>
    /// MeetingManager
    /// </summary>
    public partial class fr_MeetingManager : PhoenixDLL.GUI.Managers.Root.fr_RootManager
    {
        #region Variables
        /// <summary>
        /// Managment of the meetings
        /// </summary>
        private MeetingManager vMeetingManager = new MeetingManager();
        #endregion

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_MeetingManager()
        {
            InitializeComponent();
            this.Size = new Size(this.Size.Width + 20, 350);
        }
        #endregion

        #region Methods
        /// <summary>
        /// Pressed on OK. Update of the meeting
        /// </summary>
        protected override void ProcessOK()
        {
            switch (base.Use)
            {
                case Use.Update:
                    vMeetingManager.Update();
                    break;
                case Use.Add:
                    vMeetingManager.Add();
                    break;
                case Use.Delete:
                    vMeetingManager.Delete();
                    break;
            }
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the manager for the meetings
        /// </summary>
        public MeetingManager MeetingManager
        {
            get { return vMeetingManager; }
            set
            {
                vMeetingManager = value;
                base.pg_PropertyGrid.SelectedObject = value;
            }
        }
        #endregion
    }
}

